Update a member
curl --request PATCH \
--url https://api.humdov.app/v1/members/{object_id} \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"first_name": "<string>",
"last_name": "<string>",
"email_address": "<string>",
"phone_number": "<string>",
"gender": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"zip_code": "<string>",
"country": "<string>",
"marital_status": "<string>",
"designation_id": "<string>"
}
'import requests
url = "https://api.humdov.app/v1/members/{object_id}"
payload = {
"first_name": "<string>",
"last_name": "<string>",
"email_address": "<string>",
"phone_number": "<string>",
"gender": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"zip_code": "<string>",
"country": "<string>",
"marital_status": "<string>",
"designation_id": "<string>"
}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: '<string>',
last_name: '<string>',
email_address: '<string>',
phone_number: '<string>',
gender: '<string>',
address: '<string>',
city: '<string>',
state: '<string>',
zip_code: '<string>',
country: '<string>',
marital_status: '<string>',
designation_id: '<string>'
})
};
fetch('https://api.humdov.app/v1/members/{object_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.humdov.app/v1/members/{object_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'first_name' => '<string>',
'last_name' => '<string>',
'email_address' => '<string>',
'phone_number' => '<string>',
'gender' => '<string>',
'address' => '<string>',
'city' => '<string>',
'state' => '<string>',
'zip_code' => '<string>',
'country' => '<string>',
'marital_status' => '<string>',
'designation_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.humdov.app/v1/members/{object_id}"
payload := strings.NewReader("{\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"email_address\": \"<string>\",\n \"phone_number\": \"<string>\",\n \"gender\": \"<string>\",\n \"address\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"zip_code\": \"<string>\",\n \"country\": \"<string>\",\n \"marital_status\": \"<string>\",\n \"designation_id\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.humdov.app/v1/members/{object_id}")
.header("X-Api-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"email_address\": \"<string>\",\n \"phone_number\": \"<string>\",\n \"gender\": \"<string>\",\n \"address\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"zip_code\": \"<string>\",\n \"country\": \"<string>\",\n \"marital_status\": \"<string>\",\n \"designation_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.humdov.app/v1/members/{object_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-Api-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"email_address\": \"<string>\",\n \"phone_number\": \"<string>\",\n \"gender\": \"<string>\",\n \"address\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"zip_code\": \"<string>\",\n \"country\": \"<string>\",\n \"marital_status\": \"<string>\",\n \"designation_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"email_address": "<string>",
"phone_number": "<string>",
"gender": "<string>",
"marital_status": "<string>",
"date_of_birth": "2023-12-25",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"zip_code": "<string>",
"country": "<string>",
"designation": "<string>",
"is_guest": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "not_found",
"message": "Member not found"
}
}{
"error": {
"code": "not_found",
"message": "Member not found"
}
}{
"error": {
"code": "not_found",
"message": "Member not found"
}
}{
"error": {
"code": "not_found",
"message": "Member not found"
}
}{
"error": {
"code": "not_found",
"message": "Member not found"
}
}{
"error": {
"code": "not_found",
"message": "Member not found"
}
}Members
Update a member
Partial update — only send the fields you want to change.
PATCH
/
members
/
{object_id}
Update a member
curl --request PATCH \
--url https://api.humdov.app/v1/members/{object_id} \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"first_name": "<string>",
"last_name": "<string>",
"email_address": "<string>",
"phone_number": "<string>",
"gender": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"zip_code": "<string>",
"country": "<string>",
"marital_status": "<string>",
"designation_id": "<string>"
}
'import requests
url = "https://api.humdov.app/v1/members/{object_id}"
payload = {
"first_name": "<string>",
"last_name": "<string>",
"email_address": "<string>",
"phone_number": "<string>",
"gender": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"zip_code": "<string>",
"country": "<string>",
"marital_status": "<string>",
"designation_id": "<string>"
}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: '<string>',
last_name: '<string>',
email_address: '<string>',
phone_number: '<string>',
gender: '<string>',
address: '<string>',
city: '<string>',
state: '<string>',
zip_code: '<string>',
country: '<string>',
marital_status: '<string>',
designation_id: '<string>'
})
};
fetch('https://api.humdov.app/v1/members/{object_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.humdov.app/v1/members/{object_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'first_name' => '<string>',
'last_name' => '<string>',
'email_address' => '<string>',
'phone_number' => '<string>',
'gender' => '<string>',
'address' => '<string>',
'city' => '<string>',
'state' => '<string>',
'zip_code' => '<string>',
'country' => '<string>',
'marital_status' => '<string>',
'designation_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.humdov.app/v1/members/{object_id}"
payload := strings.NewReader("{\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"email_address\": \"<string>\",\n \"phone_number\": \"<string>\",\n \"gender\": \"<string>\",\n \"address\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"zip_code\": \"<string>\",\n \"country\": \"<string>\",\n \"marital_status\": \"<string>\",\n \"designation_id\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.humdov.app/v1/members/{object_id}")
.header("X-Api-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"email_address\": \"<string>\",\n \"phone_number\": \"<string>\",\n \"gender\": \"<string>\",\n \"address\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"zip_code\": \"<string>\",\n \"country\": \"<string>\",\n \"marital_status\": \"<string>\",\n \"designation_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.humdov.app/v1/members/{object_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-Api-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"email_address\": \"<string>\",\n \"phone_number\": \"<string>\",\n \"gender\": \"<string>\",\n \"address\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"zip_code\": \"<string>\",\n \"country\": \"<string>\",\n \"marital_status\": \"<string>\",\n \"designation_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"email_address": "<string>",
"phone_number": "<string>",
"gender": "<string>",
"marital_status": "<string>",
"date_of_birth": "2023-12-25",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"zip_code": "<string>",
"country": "<string>",
"designation": "<string>",
"is_guest": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "not_found",
"message": "Member not found"
}
}{
"error": {
"code": "not_found",
"message": "Member not found"
}
}{
"error": {
"code": "not_found",
"message": "Member not found"
}
}{
"error": {
"code": "not_found",
"message": "Member not found"
}
}{
"error": {
"code": "not_found",
"message": "Member not found"
}
}{
"error": {
"code": "not_found",
"message": "Member not found"
}
}Authorizations
Create a key from the Humdov dashboard's Developer API page. See the Authentication guide for scopes and lifecycle.
Path Parameters
Body
application/json
Response
OK
Show child attributes
Show child attributes